# Gimp.GroupLayer.merge

    @accepts(Gimp.GroupLayer)
    @returns(Gimp.Layer)
    def merge(self):
        # Python wrapper for gimp_group_layer_merge()

Merge the passed group layer's layers into one normal layer.

This procedure combines the layers of the passed group layer into a single normal layer, replacing the group. The group layer is expected to be attached to an image.

Since 2.10.14

self

  The group layer to merge.

Returns